UNITTEST_PATH = unittest

${AIP_OBJ_NAME}-objs += ${UNITTEST_PATH}/unittest.o \
			${UNITTEST_PATH}/mmc/ins_ut_mmc.o \
			${UNITTEST_PATH}/ambalink/ins_ut_ambalink.o \
			${UNITTEST_PATH}/alg/ut_alg.o \
			${UNITTEST_PATH}/media/ins_ut_media.o \
			${UNITTEST_PATH}/media/ins_ut_media_service.o \
			${UNITTEST_PATH}/config/ins_ut_config.o \
			${UNITTEST_PATH}/dcf/ins_ut_dcf.o \
			${UNITTEST_PATH}/fw_update/ins_ut_fwupdate.o \
			${UNITTEST_PATH}/command/ins_ut_cmd.o \
			${UNITTEST_PATH}/device/audio/ins_ut_audio.o \
			${UNITTEST_PATH}/device/display/ins_ut_display.o \
			${UNITTEST_PATH}/device/display/LCD/ins_ut_lcd.o \
			${UNITTEST_PATH}/device/display/oled/ins_ut_oled.o \
			${UNITTEST_PATH}/device/display/TP/ins_ut_tp.o \
			${UNITTEST_PATH}/device/imu/ins_ut_imu.o \
			${UNITTEST_PATH}/device/ins_ut_led.o \
			${UNITTEST_PATH}/device/ins_ut_gsensor.o \
			${UNITTEST_PATH}/device/ins_ut_device.o \
			${UNITTEST_PATH}/device/ins_ut_motor.o \
			${UNITTEST_PATH}/device/ins_ut_tfcard.o
			

ccflags-y += -I$(srctree)/Insta360AIP/unittest/media/inc
ccflags-y += -I$(srctree)/Insta360AIP/device/
ccflags-y += -I$(srctree)/Insta360AIP/device/base/inc/
ccflags-y += -I$(srctree)/Insta360AIP/device/peripheral/inc/

